library(ggplot2)

# change background to white, increase font size
theme_set(theme_bw(base_size = 20)) 

l <- list(
  list("Relevance", "Full vs G2E-PlusDiv", 0.75700004135307253, 0.79716823615841848, 0.8348214285714286),
  list("Relevance", "Full vs G2E-E2E", 0.53271028037383172, 0.57674418604651168, 0.62137548195289638),
  list("Relevance", "Full vs G2E-E2D", 0.56755248552123549, 0.60900090009000896, 0.65686974789915964),
  list("Temporal Diversity", "Full vs Full-NoTempDiv", 0.6428571428571429, 0.7857142857142857, 0.90011904761904749),
  list("Content Diversity", "Full vs Full-NoContDiv", 0.8318955981080256, 0.86244158321411546, 0.8965628237383455),
  list("Content Diversity", "Full-Soft vs FullNoContDiv", 0.83842794759825323, 0.8728070175438597, 0.90278542584434662)
)

df <- do.call(rbind.data.frame, l)
names(df) <- c("factor", "experiment", "p_min", "p_median", "p_max")
label_order <- as.list(df$experiment)

df$factor <- as.factor(df$factor)
df$experiment <- factor(df$experiment, as.character(df$experiment))
df$experiment = with(df, factor(experiment, levels = rev(levels(experiment))))
levels(df$experiment) <- gsub(" vs ", " vs\n", levels(df$experiment))
df$p_min <- as.double(df$p_min)
df$p_median <- as.double(df$p_median)
df$p_max <- as.double(df$p_max)

p <- ggplot(df,aes(experiment, y=p_median,ymin=p_min,ymax=p_max))
p <- p + geom_pointrange()
p <- p + coord_flip()
p <- p + scale_y_continuous("Fraction preferring method A (RPref)", breaks=0:10/10, limits=c(0.5, 1.0))
p <- p + scale_x_discrete("")#, limits=label_order)
#p <- p + facet_grid(. ~ factor)
p <- p + geom_hline(yintercept=.5, linetype='dashed')
p

setwd("~/Dropbox/2014_google_timelines_project/kgtimelines/FIG")
ggsave(plot=p, file='results_with_conf_int.pdf', width=8, height=4)
