library(ggplot2)

# change background to white, increase font size
theme_set(theme_bw(base_size = 20)) 

# TODO: these are the correct values dont use anything else!
l <- list(
  list("Relevance", "vs Base", 0.79219426406926408, 0.83842794759825323, 0.8818689501116902),
  list("Relevance", "vs Full-E2D", 0.53666009820390226, 0.59817351598173518, 0.66666666666666663),
  list("Relevance", "vs Full-E2E", 0.57798165137614677, 0.64253393665158376, 0.70776255707762559),
  list("Temporal Diversity", "vs Full-TD", 0.73333333333333328, 0.8666666666666667, 0.96666666666666667),
  list("Content Diversity", "vs Full-CD", 0.87122691217044745, 0.91063829787234041, 0.94468671114316627) #????
  #list("Content Diversity", "Full-Soft vs FullNoContDiv", 0.83842794759825323, 0.8728070175438597, 0.90278542584434662, 0.9063829787)
)

df <- do.call(rbind.data.frame, l)
names(df) <- c("factor", "experiment", "p_min", "p_median", "p_max")
label_order <- as.list(df$experiment)

df$factor <- as.factor(df$factor)
df$experiment <- factor(df$experiment, as.character(df$experiment))
df$experiment = with(df, factor(experiment, levels = rev(levels(experiment))))
#levels(df$experiment) <- gsub(" vs ", " vs\n", levels(df$experiment))
df$p_min <- as.double(df$p_min)
df$p_median <- as.double(df$p_median)
df$p_max <- as.double(df$p_max)
df$p_mean <- as.double(df$p_mean)

p <- ggplot(df,aes(experiment, y=p_median,ymin=p_min,ymax=p_max))
p <- p + geom_pointrange()
#p <- p + geom_point(aes(experiment, y=p_mean), shape=15)
p <- p + coord_flip()
p <- p + scale_y_continuous("Fraction preferring Full (RPref)", breaks=0:10/10, limits=c(0.5, 1.0))
p <- p + scale_x_discrete("")#, limits=label_order)
#p <- p + facet_grid(. ~ factor)
p <- p + geom_hline(yintercept=.5, linetype='dashed')
p

setwd("~/Dropbox/2014_google_timelines_project/kgtimelines/FIG")
ggsave(plot=p, file='results_with_conf_int_newlabels.pdf', width=8, height=3.5)
